<?php
/**
 * The template for displaying archive pages.
 *
 * Used for displaying archive-type pages. These views can be further customized by
 * creating a separate template for each one.
 *
 * - author.php (Author archive)
 * - category.php (Category archive)
 * - date.php (Date archive)
 * - tag.php (Tag archive)
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 */
?>
<?php $mts_options = get_option(MTS_THEME_NAME); ?>
<?php get_header(); ?>
<div id="page" class="clearfix">
	<div class="<?php mts_article_class(); ?>">
		<div id="content_box">
			<h1 class="postsby">
				<span><?php the_archive_title(); ?></span>
			</h1>
			<p><?php the_archive_description(); ?></p>
			<?php $sidebar_type = isset( $mts_options['mts_sidebar_layout'] ) ? $mts_options['mts_sidebar_layout'] : '0';			
			if ( empty( $mts_options['mts_featured_categories'] ) ) {
				// default
				$class = 'default';
				$posts_num = 10;
			} else {
				$section = reset( $mts_options['mts_featured_categories'] );
				$category_id = $section['mts_featured_category'];
				$featured_categories[] = $category_id;
				$posts_num = $section['mts_featured_category_postsnum'];
				$layout = $section['mts_featured_category_layout'];
				
				$class = "default"; 
				if ( 'default' == $layout && '1' === $sidebar_type ) {  
					$class = "two-grid"; 
				} 
				if ( 'two-grid'    == $layout ) { $class = "two-grid"; }
				if ( 'traditional' == $layout ) { $class = "traditional"; }
			} ?>	

			<div class="latest-posts clearfix <?php echo isset($class) ? $class : '' ?>">
				<?php $j = 1; if (have_posts()) : while (have_posts()) : the_post(); ?>
					<article class="latestPost excerpt">
						<?php mts_archive_post($layout); ?>
					</article>
					<?php if ( ( $j == 2 && 'default' == $layout ) && '0' === $sidebar_type ) {
						get_sidebar();
					}
				++$j; endwhile; endif;
				if ( $j !== 0 ) { // No pagination if there is no posts
					mts_pagination();
				} ?>
			</div>
			<?php if ( 'two-grid' == $layout || 'traditional' == $layout || '1' === $sidebar_type ) {
				get_sidebar();
			} ?>
		</div>
	</div>
<?php get_footer(); ?>