<?php $mts_options = get_option(MTS_THEME_NAME); ?>
<header id="site-header" class="main-header" role="banner" itemscope itemtype="http://schema.org/WPHeader">
		<?php if( $mts_options['mts_sticky_nav'] == '1' ) { ?>
			<div id="catcher" class="clear" ></div>
			<div id="header">
		<?php } else { ?>
			<div id="header">
		<?php } ?>
		<div class="container">
			<div class="logo-wrap">
				<?php if ($mts_options['mts_logo'] != '') { ?>
					<?php
					$logo_id = mts_get_image_id_from_url( $mts_options['mts_logo'] );
					$logo_w_h = '';
					if ( $logo_id ) {
    					$logo     = wp_get_attachment_image_src( $logo_id, 'full' );
    					$logo_w_h = ' width="'.$logo[1].'" height="'.$logo[2].'"';
    				}
					?>
					<?php if( is_front_page() || is_home() || is_404() ) { ?>
							<h1 id="logo" class="image-logo" itemprop="headline">
								<a href="<?php echo esc_url( home_url() ); ?>"><img src="<?php echo esc_url( $mts_options['mts_logo'] ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>"<?php echo $logo_w_h; ?><?php if (!empty($mts_options['mts_logo2x'])) { echo ' data-at2x="'.esc_attr( $mts_options['mts_logo2x'] ).'"'; } ?>></a>
							</h1><!-- END #logo -->
					<?php } else { ?>
						  <h2 id="logo" class="image-logo" itemprop="headline">
								<a href="<?php echo esc_url( home_url() ); ?>"><img src="<?php echo esc_url( $mts_options['mts_logo'] ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>"<?php echo $logo_w_h; ?><?php if (!empty($mts_options['mts_logo2x'])) { echo ' data-at2x="'.esc_attr( $mts_options['mts_logo2x'] ).'"'; } ?>></a>
							</h2><!-- END #logo -->
					<?php } ?>
				<?php } else { ?>
					<?php if( is_front_page() || is_home() || is_404() ) { ?>
							<h1 id="logo" class="text-logo" itemprop="headline">
								<a href="<?php echo esc_url( home_url() ); ?>"><?php bloginfo( 'name' ); ?></a>
							</h1><!-- END #logo -->
					<?php } else { ?>
						  <h2 id="logo" class="text-logo" itemprop="headline">
								<a href="<?php echo esc_url( home_url() ); ?>"><?php bloginfo( 'name' ); ?></a>
							</h2><!-- END #logo -->
					<?php } ?>
				<?php } ?>
			</div>
			
			<?php if (!empty($mts_options['mts_header_social'])) { ?>
				<div class="header-social">   
					<?php if ( !empty($mts_options['mts_header_social']) && is_array($mts_options['mts_header_social'])) { ?>
						<?php foreach( $mts_options['mts_header_social'] as $header_icons ) : ?>
					        <?php if( ! empty( $header_icons['mts_header_icon'] ) && isset( $header_icons['mts_header_icon'] ) ) : ?>
					            <a href="<?php echo esc_url( $header_icons['mts_header_icon_link'] ); ?>" class="header-<?php echo $header_icons['mts_header_icon'] ?>"><span class="fa fa-<?php echo $header_icons['mts_header_icon'] ?>"></span></a>
					        <?php endif; ?>
					    <?php endforeach; ?>
					<?php } ?>
       			</div> <!--social-icons-->
       		<?php }
			
			if (!empty($mts_options['mts_header_search'])) { ?>
    	    	<div class="search-style-one">
                	<a id="trigger-overlay">
                    	<i class="fa fa-search"></i>
                	</a>
                	<div class="overlay overlay-slideleft">
                    	<div class="container">
                        	<div class="search-row">
                        	<button type="button" class="overlay-close">×</button>
								<?php get_search_form(); ?>
                        	</div>
                    	</div>  
                	</div>
            	</div>
        	<?php }

			if ( $mts_options['mts_show_primary_nav'] == '1' ) { ?>
				<div id="primary-navigation" role="navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">
					<a href="#" id="pull" class="toggle-mobile-menu"><?php _e('Menu', 'blogging' ); ?></a>
					<?php if ( has_nav_menu( 'mobile' ) ) { ?>
						<nav class="navigation clearfix">
							<?php if ( has_nav_menu( 'primary-menu' ) ) { ?>
								<?php wp_nav_menu( array( 'theme_location' => 'primary-menu', 'menu_class' => 'menu clearfix', 'container' => '', 'walker' => new mts_menu_walker ) ); ?>
							<?php } else { ?>
								<ul class="menu clearfix">
									<?php wp_list_categories('title_li='); ?>
								</ul>
							<?php } ?>
						</nav>
						<nav class="navigation mobile-only clearfix mobile-menu-wrapper">
							<?php wp_nav_menu( array( 'theme_location' => 'mobile', 'menu_class' => 'menu clearfix', 'container' => '', 'walker' => new mts_menu_walker ) ); ?>
						</nav>
					<?php } else { ?>
						<nav class="navigation clearfix mobile-menu-wrapper">
							<?php if ( has_nav_menu( 'primary-menu' ) ) { ?>
								<?php wp_nav_menu( array( 'theme_location' => 'primary-menu', 'menu_class' => 'menu clearfix', 'container' => '', 'walker' => new mts_menu_walker ) ); ?>
							<?php } else { ?>
								<ul class="menu clearfix">
									<?php wp_list_categories('title_li='); ?>
								</ul>
							<?php } ?>
						</nav>
					<?php } ?>
				</div>
			<?php } ?>            
		</div><!--.container-->
	</div><!--#header-->
</header>		