<?php
/**
 * The main template file.
 *
 * Used to display the homepage when home.php doesn't exist.
 */
?>
<?php
$mts_options = get_option(MTS_THEME_NAME);
get_header();
	
if ( !is_paged() && is_home() && $mts_options['mts_featured_slider'] == '1' ) { ?>
	<div class="full-slider-container clearfix loading">
		<div class="container">
			<div id="slider" class="full-slider">
				<?php if ( empty( $mts_options['mts_featured_slider_cat'] ) || !is_array( $mts_options['mts_featured_slider_cat'] ) ) {
					$mts_options['mts_featured_slider_cat'] = array('0');
				}
				$slider_cat   = implode( ",", $mts_options['mts_featured_slider_cat'] );
				$slider_query = new WP_Query('cat=' . $slider_cat . '&posts_per_page=' . $mts_options['mts_featured_slider_num']);
				$i = 1;
				while ( $slider_query->have_posts() ) : $slider_query->the_post(); ?>
					<div class="full-slider-item" <?php if ( $i % 2 !== 0 ) { echo 'data-merge="2"'; };?>>
						<a href="<?php echo esc_url( get_the_permalink() ); ?>" title="<?php the_title_attribute(); ?>">
							<?php
							$attr = array(
								'title'   => esc_attr( get_the_title() ),
								'alt'     => esc_attr( get_the_title() ),
								'loading' => 'lazy'
							);
							if ( $i % 2 !== 0 ) {
								the_post_thumbnail( 'blogging-slider1', $attr );
							} else {
								the_post_thumbnail( 'blogging-slider2', $attr );
							}
							$i++;
							?>
							<div class="slide-caption">
								<h2 class="slide-title"><?php the_title(); ?></h2>
								<?php mts_the_postinfo('slider'); ?>
							</div>
						</a> 
					</div>
				<?php
				endwhile;
				wp_reset_postdata();
				?>
			</div>
		</div>
		<div class="owl-controls"></div>
	</div>
<?php } ?>

<div id="page" class="clearfix">
	<div class="article">
		<div id="content_box">
			<?php $sidebar_type = isset( $mts_options['mts_sidebar_layout'] ) ? $mts_options['mts_sidebar_layout'] : '0';
			if ( !is_paged() ) {
				$featured_categories = array();
				if ( !empty( $mts_options['mts_featured_categories'] ) ) {
					foreach ( $mts_options['mts_featured_categories'] as $section ) {
						$category_id = $section['mts_featured_category'];
						$featured_categories[] = $category_id;
						$posts_num = $section['mts_featured_category_postsnum'];
						$layout = isset( $section['mts_featured_category_layout'] ) ? $section['mts_featured_category_layout'] : 'default';
						$class = "default"; 
						if ( 'default' == $layout && '1' === $sidebar_type ) {  
							$class = "two-grid"; 
						} 
						if ( 'two-grid'    == $layout ) { $class = "two-grid"; }
						if ( 'traditional' == $layout ) { $class = "traditional"; }
					
						if ( 'latest' == $category_id ) {
							?>
							<div class="latest-posts clearfix <?php echo isset($class) ? $class : '' ?>">
								<?php $j = 1; if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
									<article class="latestPost excerpt">
										<?php mts_archive_post($layout); ?>
									</article>
									<?php if ( ( $j == 2 && 'default' == $layout ) && '0' === $sidebar_type ) {
										get_sidebar( 'home' );
									}
								++$j; endwhile; endif;
								if ( $j !== 0 ) { // No pagination if there is no posts
									mts_pagination();
								} ?>
							</div>
							<?php if ( 'two-grid' == $layout || 'traditional' == $layout || '1' === $sidebar_type ) {
								get_sidebar( 'home' );
							}
							
						} else { // if $category_id != 'latest': ?>
							<div class="featured-category-section">
								<h3 class="featured-category-title"><a href="<?php echo esc_url( get_category_link( $category_id ) ); ?>" title="<?php echo esc_attr( get_cat_name( $category_id ) ); ?>"><?php echo esc_html( get_cat_name( $category_id ) ); ?></a></h3>
								<div class="latest-posts clearfix <?php echo isset($class) ? $class : '' ?>">
									<?php $j = 1; $cat_query = new WP_Query('cat='.$category_id.'&posts_per_page='.$posts_num);
									if ( $cat_query->have_posts() ) : while ( $cat_query->have_posts() ) : $cat_query->the_post(); ?>
										<article class="latestPost excerpt">
											<?php mts_archive_post($layout); ?>
										</article>
										<?php if ( ( $j == 2 && 'default' == $layout ) && '0' === $sidebar_type ) { ?>
											<aside id="sidebar" class="sidebar c-4-12 posts-sidebar">
										    	<?php dynamic_sidebar('posts-sidebar-'.$category_id); ?>
											</aside>
										<?php }
									++$j; endwhile; endif; wp_reset_postdata(); ?>
								</div>
								<?php if ( 'two-grid' == $layout || 'traditional' == $layout || '1' === $sidebar_type ) { ?>
									<aside id="sidebar" class="sidebar c-4-12 posts-sidebar">
									   	<?php dynamic_sidebar('posts-sidebar-'.$category_id); ?>
									</aside>
								<?php } ?>
							</div>	
						<?php }
					}
				}
			} else { //Paged
				foreach ( $mts_options['mts_featured_categories'] as $section ) {
					$category_id = $section['mts_featured_category'];
					$layout = isset( $section['mts_featured_category_layout'] ) ? $section['mts_featured_category_layout'] : 'default';					
					if ( 'default'     == $layout ) { $class = "default"; } 
					if ( 'two-grid'    == $layout ) { $class = "two-grid"; }
					if ( 'traditional' == $layout ) { $class = "traditional"; }

					if ( 'latest' == $category_id ) { ?>
						<div class="latest-posts clearfix <?php echo isset($class) ? $class : '' ?>">
							<?php $j = 1; if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
								<article class="latestPost excerpt">
									<?php mts_archive_post($layout); ?>
								</article>
								<?php if ( ( $j == 2 && 'default' == $layout ) && '0' === $sidebar_type ) {
									get_sidebar( 'home' );
								}
							++$j; endwhile; endif;
							if ( $j !== 0 ) { // No pagination if there is no posts
								mts_pagination();
							} ?>
						</div>
						<?php if ( 'two-grid' == $layout || 'traditional' == $layout || '1' === $sidebar_type ) {
							get_sidebar( 'home' );
						}
					}
				}
			} ?>
		</div>
	</div>
<?php get_footer(); ?>