<?php
/**
 * The template for displaying all single posts.
 */
?>
<?php get_header(); ?>
<?php $mts_options = get_option(MTS_THEME_NAME); ?>

<?php
if ( '1' == $mts_options['mts_breadcrumb'] ) {
	mts_the_breadcrumb();
}
?>

<div id="page" class="<?php mts_single_page_class(); ?> clearfix">
	<article class="<?php mts_article_class(); ?>">
		<div id="content_box" >
			<?php
			if ( have_posts() ) while ( have_posts() ) : the_post();
				?>
				<div id="post-<?php the_ID(); ?>" <?php post_class('g post'); ?>>
					<?php
					$header_animation = mts_get_post_header_effect();
					if ( 'parallax' === $header_animation ) {
						if ( mts_get_thumbnail_url() ) : ?>
							<div id="parallax" <?php echo 'style="background-image: url('.mts_get_thumbnail_url().');"'; ?>></div>
						<?php
						endif;
					} elseif ( 'zoomout' === $header_animation ) {
						if ( mts_get_thumbnail_url() ) :
							?>
							<div id="zoom-out-effect"><div id="zoom-out-bg" <?php echo 'style="background-image: url(' . mts_get_thumbnail_url() . ');"'; ?>></div></div>
							<?php 
						endif;
					} else {
						if ( has_post_thumbnail() && ! empty( $mts_options['mts_single_featured'] ) ) {
							$attr = array(
								'title'   => esc_attr( get_the_title() ),
								'alt'     => esc_attr( get_the_title() ),
								'loading' => 'lazy'
							);
							echo '<div class="featured-thumbnail single-featured">';
							the_post_thumbnail( 'blogging-slider1', $attr );
							echo '</div>';
						}
					}

					// Single post parts ordering.
					if ( isset( $mts_options['mts_single_post_layout'] ) && is_array( $mts_options['mts_single_post_layout'] ) && array_key_exists( 'enabled', $mts_options['mts_single_post_layout'] ) ) {
						$single_post_parts = $mts_options['mts_single_post_layout']['enabled'];
					} else {
						$single_post_parts = array( 'content' => 'content', 'related' => 'related', 'author' => 'author' );
					}
					foreach( $single_post_parts as $part => $label ) {
						switch ($part) {
							case 'content':
								?>
								<div class="single_post">
									<header>
										<h1 class="title single-title entry-title"><?php the_title(); ?></h1>
										<?php mts_the_postinfo( 'single' ); ?>
									</header><!--.headline_area-->
									<div class="post-single-content box mark-links entry-content">
										<?php if ($mts_options['mts_posttop_adcode'] != '') { ?>
											<?php $toptime = $mts_options['mts_posttop_adcode_time']; if (strcmp( date("Y-m-d", strtotime( "-$toptime day")), get_the_time("Y-m-d") ) >= 0) { ?>
												<div class="topad">
													<?php echo do_shortcode($mts_options['mts_posttop_adcode']); ?>
												</div>
											<?php } ?>
										<?php } ?>
										<?php if (isset($mts_options['mts_social_button_position']) && $mts_options['mts_social_button_position'] == 'top') mts_social_buttons(); ?>
										<div class="thecontent">
											<?php the_content(); ?>
										</div>
										<?php wp_link_pages(array('before' => '<div class="pagination">', 'after' => '</div>', 'link_before'  => '<span class="current"><span class="currenttext">', 'link_after' => '</span></span>', 'next_or_number' => 'next_and_number', 'nextpagelink' => __('Next', 'blogging' ), 'previouspagelink' => __('Previous', 'blogging' ), 'pagelink' => '%','echo' => 1 )); ?>
										<?php if ($mts_options['mts_postend_adcode'] != '') { ?>
											<?php $endtime = $mts_options['mts_postend_adcode_time']; if (strcmp( date("Y-m-d", strtotime( "-$endtime day")), get_the_time("Y-m-d") ) >= 0) { ?>
												<div class="bottomad">
													<?php echo do_shortcode($mts_options['mts_postend_adcode']); ?>
												</div>
											<?php } ?>
										<?php } ?>
										<?php if (isset($mts_options['mts_social_button_position']) && $mts_options['mts_social_button_position'] !== 'top') mts_social_buttons(); ?>
									</div><!--.post-single-content-->
								</div><!--.single_post-->
								<?php
							break;

							case 'tags':
								mts_the_tags('<div class="tags"><span class="tagtext">'.__('Tags', 'blogging' ).':</span>',', ');
							break;

							case 'related':
								mts_related_posts();
							break;

							case 'author':
								?>
								<div class="postauthorwrap">
									<h4><?php _e('About The Author', 'blogging' ); ?></h4>
									<div class="postauthor">
										<?php if(function_exists('get_avatar')) { echo get_avatar( get_the_author_meta('email'), '141' );  } ?>
										<div class="author_wrap">
											<h5 class="vcard author"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" class="fn"><?php the_author_meta( 'display_name' ); ?></a></span></h5>
												<?php if ( isset( $mts_options['mts_author_readmore'] ) && '1' == $mts_options['mts_author_readmore'] ) { ?>
													<div class="readMore">
															<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" ><?php _e('More about this author', 'blogging'); ?></a>
													</div>
												<?php } ?>
												<div class="post-info">
														<?php if ( isset( $mts_options['mts_author_name'] ) && '1' == $mts_options['mts_author_name'] ) { ?>
														<span class="theauthor"><?php _e('Author ', 'blogging'); ?></span>
													<?php }
													if ( isset( $mts_options['mts_author_num_posts'] ) && '1' == $mts_options['mts_author_num_posts'] ) { ?>
														<span class="thecomment"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" itemprop="interactionCount"><?php printf( __( '%d Posts', 'blogging' ), count_user_posts( get_the_author_meta( 'ID' ) ) ) ?></a></span>
													<?php } ?>
												</div>
										</div>
										<p><?php the_author_meta('description') ?></p>
									</div>
								</div>
								<?php
							break;
						}
					}
					?>
				</div><!--.g post-->
				<?php
				comments_template( '', true );
			endwhile; /* end loop */
			?>
		</div>
	</article>
	<?php get_sidebar(); ?>
<?php get_footer(); ?>
